using UnityEngine;
using System;
using System.Collections.Generic;

public class ReligionLow01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "It has come to our knowledge that a member of the royal court has been secretly researching the unholy science of eastern civilizations. This kind of behaviour is unacceptable and we demand justice is brought to the heretic.";
    }

    protected override string GetSender()
    {
        return "High Inquisitor Seraph";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Religion;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Low;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Burn the heretic", 
                new ResponseLetter
                (
                    "Congratulations for the wise decision, sire. Nothing burns higher than the purifying flames.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.2f}, { Attributes.Family, -0.2f} }
                )
            ),
            new Choice
            (
                "Confiscate his unholy materials", 
                new ResponseLetter
                (
                    "I hope you are going to burn that unholy texts you've confiscated, my lord.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.1f}, { Attributes.Family, -0.1f} }
                )
            ),
            new Choice
            (
                "Encourage and finance his studies", 
                new ResponseLetter
                (
                    "God's eyes are watching you closely, oh foolish king. Your unholy studies will bring ruin of this empire.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Religion, -0.2f}, { Attributes.Family, +0.2f} }
                )
            )
        };
    }
}